Status: Resolved Priority: Should have
Complexity:
Subject: Support stream resources as content for HTTP Request
Description

If the HTTP Request would support stream resources instead of strings for setContent() and the CurlEngine would take this into
consideration, files could be sent with curl through its INFILE feature.

Associated revisions
Revision c9580244 - 2013-01-23 09:10 - Robert Lemke

[FEATURE] Support streams as Request content

This patch enhances the setContent() method of the HTTP Request class
to accept stream resources, additionally to plain strings. Additionally
the CurlEngine now detects a stream and takes advantage of cURL's INFILE
feature.

That way (bigger) files can bypass PHP when sent through a request with
cURL.

Change-Id: I351fbde94594bf63f31f8c9fe984f457d70648a1
Resolves: #44730
Releases: master

History
#1 - 2013-01-22 20:55 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17659

#2 - 2013-01-23 09:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17659

#3 - 2013-01-23 13:36 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:c958024417ffc8ee2fb7104a338f51ba7b1a541e.
